Permalink
Browse files

Fixed #10289 -- Corrected typo that produced oversensitive rejection …

…of Postgres versions. Thanks to Ian Kelly for the report.

git-svn-id: http://code.djangoproject.com/svn/django/trunk@9845 bcc190cf-cafb-0310-a4f2-bffc1f526a37
  • Loading branch information...
1 parent e83f81d commit fc02370ceed1cceb039e1318d0bb00c699f97b01 @freakboy3742 freakboy3742 committed Feb 17, 2009
Showing with 1 addition and 1 deletion.
  1. +1 −1 django/db/backends/postgresql/operations.py
View
2 django/db/backends/postgresql/operations.py
@@ -158,5 +158,5 @@ def check_aggregate_support(self, aggregate):
NotImplementedError if this is the database in use.
"""
if aggregate.sql_function == 'STDDEV_POP' or aggregate.sql_function == 'VAR_POP':
- if self.postgres_version[0] == 8 and self.postgres_version[1] == 2 and self.postgres_version[1] <= 4:
+ if self.postgres_version[0] == 8 and self.postgres_version[1] == 2 and self.postgres_version[2] <= 4:
raise NotImplementedError('PostgreSQL 8.2 to 8.2.4 is known to have a faulty implementation of %s. Please upgrade your version of PostgreSQL.' % aggregate.sql_function)

0 comments on commit fc02370

Please sign in to comment.